// SPDX-License-Identifier: MPL-2.0
#include "cpu/tsc.h"
sh_tsc_TSC_VALUE kernel_start_tsc=0;
SH_STATUS sh_tsc_init_tsc() {
  kernel_start_tsc=sh_tsc_read_tsc();
  return SH_STATUS_SUCCESS;
}
sh_tsc_TSC_VALUE sh_tsc_get_kernel_init_tsc() {
  return kernel_start_tsc;
}
sh_tsc_TSC_VALUE sh_tsc_get_kernel_current_tsc() {
  return sh_tsc_read_tsc()-kernel_start_tsc;
}
